commit ae362db3e5cd4ef376a726d295f0d4a787526268
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Sep 22 02:18:00 2021

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 5603d907b59..4cdedbef168 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,21 @@
+2021-09-21  Segher Boessenkool  <segher@kernel.crashing.org>
+
+	Backported from master:
+	2021-09-08  Segher Boessenkool  <segher@kernel.crashing.org>
+
+	PR target/102107
+	* config/rs6000/rs6000-logue.c (rs6000_emit_epilogue): For ELFv2 use
+	r11 instead of r12 for restoring CR.
+
+2021-09-21  Segher Boessenkool  <segher@kernel.crashing.org>
+
+	Backported from master:
+	2021-09-03  Segher Boessenkool  <segher@kernel.crashing.org>
+
+	PR target/102107
+	* config/rs6000/rs6000-logue.c (rs6000_emit_prologue): On ELFv2 use r11
+	instead of r12 for CR save, in all cases.
+
 2021-09-17  Eric Botcazou  <ebotcazou@adacore.com>
 
 	PR rtl-optimization/102306
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index ed865cb70ab..47a736e6a1c 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20210921
+20210922
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index 3d53ed99f33..9c1675356dd 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,13 @@
+2021-09-21  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-09-17  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/102366
+	* trans-decl.c (gfc_finish_var_decl): Disable the warning message
+	for variables moved from stack to static storange if they are
+	declared in the main, but allow the move to happen.
+
 2021-09-20  Tobias Burnus  <tobias@codesourcery.com>
 
 	* trans-openmp.c (gfc_split_omp_clauses): Don't put 'order(concurrent)'
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 7f8d142942a..2b904c126ad 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,20 @@
+2021-09-21  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-09-17  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/102366
+	* gfortran.dg/pr102366.f90: New test.
+
+2021-09-21  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* lib/target-supports.exp (no_fsanitize_address): Add missing bits.
+	* gcc.dg/pr91441.c: Likewise.
+	* gcc.dg/pr96260.c: Likewise.
+	* gcc.dg/pr96307.c: Likewise.
+	* gnat.dg/asan1.adb: Likewise.
+	* g++.dg/abi/anon4.C: Likewise.
+
 2021-09-20  Tobias Burnus  <tobias@codesourcery.com>
 
 	* gfortran.dg/gomp/distribute-order-concurrent.f90: New test.

